DESCRIPTION="Ssh.com Non-Comercial Use ssh version"
HOMEPAGE="http://www.ssh.com/"
SRC_URI="ftp://ftp.ssh.com/pub/ssh/ssh-3.2.5.tar.gz"

LICENSE="SSH"
SLOT="0"
KEYWORDS="~x86"

USE="X ipv6 gpg"

DEPEND="X? >=x11-base/xfree-4.2.0"

src_compile() {
	ewarn "This ebuild will erase your Openssh binaries"
	ewarn "Please cancel now if you dont want that"
	econf `use_with ipv6 ipv6` \
	`use_with X` \
	`use_with gpg` || die "configure failed"
	emake || die "make failed"
}

src_install() {
	make install DESTDIR=${D}
	chmod 600 ${D}/etc/ssh2/sshd2_config
	dodoc CHANGES FAQ HOWTO.anonymous.sftp INSTALL LICENSE \
	README* SSH2.QUICKSTART
	insinto /etc/pam.d  ; newins ${FILESDIR}/pamd.ssh2 sshd2
	exeinto /etc/init.d ; newexe ${FILESDIR}/sshd2 sshd2
	ewarn "If you re-emerge this release of ssh2 it will generate new configs"
	ewarn "and host keys, so please be carefull with etc-update"
	ewarn "If this is your first install you should emerge -C openssh"
	ewarn "because all the binaries have been re-writen by this ebuild"
}
